<?
// Get the page's content
$content = $this->layout ()->content;

function execute ($cmd)
{
    $result = "";

    $f = popen ("$cmd", 'r');
    while (($line = fgets ($f, 512)))
    {
        $result .= $line;
    }
    pclose ($f);

    return (trim ($result));
}

// Get the package version
$pkgVersion = execute ("dpkg -l icomposer 2>/dev/null | grep icomposer | sed -r 's/[\\t ]+/ /g' | cut -d' ' -f3");
if (strlen ($pkgVersion) < 1)
    $pkgVersion = 'UNKNOWN';

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">

  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>.: iPreso - <?echo Zend_Registry::getInstance ()->get ('Zend_Translate')->translate('Composer')?> :.</title>
    <link rel="stylesheet" type="text/css" media="screen" href="<?php echo $this->baseUrl ();?>/css/base.css" />
    <link rel="stylesheet" type="text/css" media="screen" href="<?php echo $this->baseUrl ();?>/js/Pikaday/css/pikaday.css" />
    <link rel="icon" type="image/png" href="<?php echo $this->baseUrl ();?>/favicon.png" />
<?echo $this->headLink() ?>
<?/*
<script type='text/javascript' src='http://getfirebug.com/releases/lite/1.2/firebug-lite-compressed.js'></script>
*/?>

    <script type="text/javascript" src="<?php echo $this->baseUrl ();?>/js/mootools-1.2.5-core-nc.js"></script>
    <script type="text/javascript" src="<?php echo $this->baseUrl ();?>/js/mootools-1.2.5.1-more.js"></script>
    <script type="text/javascript" src="<?php echo $this->baseUrl ();?>/js/ipresoLoading.js"></script>
    <script type="text/javascript" src="<?php echo $this->baseUrl ();?>/js/Pikaday/moment.js"></script>
    <script type="text/javascript" src="<?php echo $this->baseUrl ();?>/js/Pikaday/pikaday.js"></script>
<?echo $this->headScript();?>
  </head>
  <body>
  <div id="main">
    <div id="container">
      <div id="header">
        <a href="http://www.ipreso.com"><img src="/images/logo_flat.png" width="120px" height="60px" alt="iPreso" /></a>
        <p style="clear:both;position: absolute;top:50px;margin-left:25px;text-shadow : rgb(255,255,255) 1px 1px 1px;">
            <?echo Zend_Registry::getInstance ()->get ('Zend_Translate')->translate('show yourself')?>
        </p>
        <div id="loginfos">
            <?echo $this->composerLogInfos ();?>
        </div>
        <div id="menu">
            <?echo $this->composerNavBar ();?>
        </div>
      </div>
    </div>
    <div id="bottom"></div>
  </div>
  <div id="content">
    <?php echo $content; ?>
    <div style="clear: both;"></div>
  </div>
  <div style="text-align: center; padding: 3px; font-size: 0.8em;">iPreso Composer Version <?echo $pkgVersion ;?>
  </div>
  </body>
</html>
